

Rename UPDATE_ATIME to update_atime



 char/random.c        |    2 +-
 autofs4/root.c       |    2 +-
 bfs/dir.c            |    2 +-
 ext2/dir.c           |    2 +-
 ext3/dir.c           |    4 ++--
 hugetlbfs/inode.c    |    2 +-
 minix/dir.c          |    2 +-
 namei.c              |    4 ++--
 nfs/inode.c          |    2 +-
 nfsd/vfs.c           |    2 +-
 ntfs/inode.c         |    2 +-
 pipe.c               |    2 +-
 qnx4/dir.c           |    2 +-
 reiserfs/dir.c       |    2 +-
 stat.c               |    2 +-
 sysv/dir.c           |    2 +-
 udf/dir.c            |    2 +-
 ufs/dir.c            |    2 +-
 xfs/linux/xfs_file.c |    2 +-
 linux/fs.h           |    3 +--
 shm.c                |    2 +-
 filemap.c            |    6 +++---
 shmem.c              |    4 ++--
 unix/af_unix.c       |    4 ++--
 24 files changed, 30 insertions(+), 31 deletions(-)

diff -puN drivers/char/random.c~UPDATE_ATIME-to-update_atime drivers/char/random.c
--- 25/drivers/char/random.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/drivers/char/random.c	2003-02-23 13:03:18.000000000 -0800
@@ -1529,7 +1529,7 @@ random_read(struct file * file, char * b
 	 * If we gave the user some bytes, update the access time.
 	 */
 	if (count != 0) {
-		UPDATE_ATIME(file->f_dentry->d_inode);
+		update_atime(file->f_dentry->d_inode);
 	}
 	
 	return (count ? count : retval);
diff -puN fs/autofs4/root.c~UPDATE_ATIME-to-update_atime fs/autofs4/root.c
--- 25/fs/autofs4/root.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/autofs4/root.c	2003-02-23 13:03:18.000000000 -0800
@@ -61,7 +61,7 @@ static void autofs4_update_usage(struct 
 		struct autofs_info *ino = autofs4_dentry_ino(dentry);
 
 		if (ino) {
-			UPDATE_ATIME(dentry->d_inode);
+			update_atime(dentry->d_inode);
 			ino->last_used = jiffies;
 		}
 	}
diff -puN fs/bfs/dir.c~UPDATE_ATIME-to-update_atime fs/bfs/dir.c
--- 25/fs/bfs/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/bfs/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -65,7 +65,7 @@ static int bfs_readdir(struct file * f, 
 		brelse(bh);
 	}
 
-	UPDATE_ATIME(dir);
+	update_atime(dir);
 	unlock_kernel();
 	return 0;	
 }
diff -puN fs/ext2/dir.c~UPDATE_ATIME-to-update_atime fs/ext2/dir.c
--- 25/fs/ext2/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/ext2/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -312,7 +312,7 @@ ext2_readdir (struct file * filp, void *
 done:
 	filp->f_pos = (n << PAGE_CACHE_SHIFT) | offset;
 	filp->f_version = inode->i_version;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	unlock_kernel();
 	return 0;
 }
diff -puN fs/ext3/dir.c~UPDATE_ATIME-to-update_atime fs/ext3/dir.c
--- 25/fs/ext3/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/ext3/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -209,7 +209,7 @@ revalidate:
 		offset = 0;
 		brelse (bh);
 	}
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	unlock_kernel();
 	return 0;
 }
@@ -478,7 +478,7 @@ static int ext3_dx_readdir(struct file *
 	}
 finished:
 	info->last_pos = filp->f_pos;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	return 0;
 }
 #endif
diff -puN fs/hugetlbfs/inode.c~UPDATE_ATIME-to-update_atime fs/hugetlbfs/inode.c
--- 25/fs/hugetlbfs/inode.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/hugetlbfs/inode.c	2003-02-23 13:03:18.000000000 -0800
@@ -62,7 +62,7 @@ static int hugetlbfs_file_mmap(struct fi
 
 	down(&inode->i_sem);
 
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	vma->vm_flags |= VM_HUGETLB | VM_RESERVED;
 	vma->vm_ops = &hugetlb_vm_ops;
 	ret = hugetlb_prefault(mapping, vma);
diff -puN fs/minix/dir.c~UPDATE_ATIME-to-update_atime fs/minix/dir.c
--- 25/fs/minix/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/minix/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -127,7 +127,7 @@ static int minix_readdir(struct file * f
 
 done:
 	filp->f_pos = (n << PAGE_CACHE_SHIFT) | offset;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	unlock_kernel();
 	return 0;
 }
diff -puN fs/namei.c~UPDATE_ATIME-to-update_atime fs/namei.c
--- 25/fs/namei.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/namei.c	2003-02-23 13:03:18.000000000 -0800
@@ -397,7 +397,7 @@ static inline int do_follow_link(struct 
 		goto loop;
 	current->link_count++;
 	current->total_link_count++;
-	UPDATE_ATIME(dentry->d_inode);
+	update_atime(dentry->d_inode);
 	err = dentry->d_inode->i_op->follow_link(dentry, nd);
 	current->link_count--;
 	return err;
@@ -1319,7 +1319,7 @@ do_link:
 	error = security_inode_follow_link(dentry, nd);
 	if (error)
 		goto exit_dput;
-	UPDATE_ATIME(dentry->d_inode);
+	update_atime(dentry->d_inode);
 	error = dentry->d_inode->i_op->follow_link(dentry, nd);
 	dput(dentry);
 	if (error)
diff -puN fs/nfsd/vfs.c~UPDATE_ATIME-to-update_atime fs/nfsd/vfs.c
--- 25/fs/nfsd/vfs.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/nfsd/vfs.c	2003-02-23 13:03:18.000000000 -0800
@@ -1115,7 +1115,7 @@ nfsd_readlink(struct svc_rqst *rqstp, st
 	if (!inode->i_op || !inode->i_op->readlink)
 		goto out;
 
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	/* N.B. Why does this call need a get_fs()??
 	 * Remove the set_fs and watch the fireworks:-) --okir
 	 */
diff -puN fs/nfs/inode.c~UPDATE_ATIME-to-update_atime fs/nfs/inode.c
--- 25/fs/nfs/inode.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/nfs/inode.c	2003-02-23 13:03:18.000000000 -0800
@@ -671,7 +671,7 @@ __nfs_fhget(struct super_block *sb, stru
 		 * such as stat(2) */
 		inode->i_ino = hash;
 
-		/* We can't support UPDATE_ATIME(), since the server will reset it */
+		/* We can't support update_atime(), since the server will reset it */
 		inode->i_flags |= S_NOATIME;
 		inode->i_mode = fattr->mode;
 		/* Why so? Because we want revalidate for devices/FIFOs, and
diff -puN fs/ntfs/inode.c~UPDATE_ATIME-to-update_atime fs/ntfs/inode.c
--- 25/fs/ntfs/inode.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/ntfs/inode.c	2003-02-23 13:03:18.000000000 -0800
@@ -1738,7 +1738,7 @@ err_out:
  * @vi:		inode to mark dirty
  *
  * This is called from fs/inode.c::__mark_inode_dirty(), when the inode itself
- * is being marked dirty. An example is when UPDATE_ATIME() is invoked.
+ * is being marked dirty. An example is when update_atime() is invoked.
  *
  * We mark the inode dirty by setting both the page in which the mft record
  * resides and the buffer heads in that page which correspond to the mft record
diff -puN fs/pipe.c~UPDATE_ATIME-to-update_atime fs/pipe.c
--- 25/fs/pipe.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:17.000000000 -0800
+++ 25-akpm/fs/pipe.c	2003-02-23 13:03:18.000000000 -0800
@@ -121,7 +121,7 @@ pipe_read(struct file *filp, char *buf, 
 		kill_fasync(PIPE_FASYNC_WRITERS(*inode), SIGIO, POLL_OUT);
 	}
 	if (ret > 0)
-		UPDATE_ATIME(inode);
+		update_atime(inode);
 	return ret;
 }
 
diff -puN fs/qnx4/dir.c~UPDATE_ATIME-to-update_atime fs/qnx4/dir.c
--- 25/fs/qnx4/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/qnx4/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -76,7 +76,7 @@ static int qnx4_readdir(struct file *fil
 		}
 		brelse(bh);
 	}
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 
 out:
 	unlock_kernel();
diff -puN fs/reiserfs/dir.c~UPDATE_ATIME-to-update_atime fs/reiserfs/dir.c
--- 25/fs/reiserfs/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/reiserfs/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -185,7 +185,7 @@ static int reiserfs_readdir (struct file
     filp->f_pos = next_pos;
     pathrelse (&path_to_entry);
     reiserfs_check_path(&path_to_entry) ;
-    UPDATE_ATIME(inode) ;
+    update_atime(inode) ;
  out:
     reiserfs_write_unlock(inode->i_sb);
     return ret;
diff -puN fs/stat.c~UPDATE_ATIME-to-update_atime fs/stat.c
--- 25/fs/stat.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/stat.c	2003-02-23 13:03:18.000000000 -0800
@@ -244,7 +244,7 @@ asmlinkage long sys_readlink(const char 
 		if (inode->i_op && inode->i_op->readlink) {
 			error = security_inode_readlink(nd.dentry);
 			if (!error) {
-				UPDATE_ATIME(inode);
+				update_atime(inode);
 				error = inode->i_op->readlink(nd.dentry, buf, bufsiz);
 			}
 		}
diff -puN fs/sysv/dir.c~UPDATE_ATIME-to-update_atime fs/sysv/dir.c
--- 25/fs/sysv/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/sysv/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -116,7 +116,7 @@ static int sysv_readdir(struct file * fi
 
 done:
 	filp->f_pos = (n << PAGE_CACHE_SHIFT) | offset;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	unlock_kernel();
 	return 0;
 }
diff -puN fs/udf/dir.c~UPDATE_ATIME-to-update_atime fs/udf/dir.c
--- 25/fs/udf/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/udf/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -98,7 +98,7 @@ int udf_readdir(struct file *filp, void 
 	}
 
 	result = do_udf_readdir(dir, filp, filldir, dirent);
-	UPDATE_ATIME(dir);
+	update_atime(dir);
 	unlock_kernel();
  	return result;
 }
diff -puN fs/ufs/dir.c~UPDATE_ATIME-to-update_atime fs/ufs/dir.c
--- 25/fs/ufs/dir.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/ufs/dir.c	2003-02-23 13:03:18.000000000 -0800
@@ -166,7 +166,7 @@ revalidate:
 		offset = 0;
 		brelse (bh);
 	}
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	unlock_kernel();
 	return 0;
 }
diff -puN fs/xfs/linux/xfs_file.c~UPDATE_ATIME-to-update_atime fs/xfs/linux/xfs_file.c
--- 25/fs/xfs/linux/xfs_file.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/fs/xfs/linux/xfs_file.c	2003-02-23 13:03:18.000000000 -0800
@@ -308,7 +308,7 @@ linvfs_file_mmap(
 	vma->vm_ops = &linvfs_file_vm_ops;
 
 	VOP_SETATTR(vp, &va, XFS_AT_UPDATIME, NULL, error);
-	UPDATE_ATIME(ip);
+	update_atime(ip);
 	return 0;
 }
 
diff -puN include/linux/fs.h~UPDATE_ATIME-to-update_atime include/linux/fs.h
--- 25/include/linux/fs.h~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/include/linux/fs.h	2003-02-23 13:03:18.000000000 -0800
@@ -808,8 +808,7 @@ static inline void mark_inode_dirty_sync
 int generic_update_atime(struct inode *inode);
 int one_sec_update_atime(struct inode *inode);
 
-/* FIXME: rename this to update_atime() */
-static inline int UPDATE_ATIME(struct inode *inode)
+static inline int update_atime(struct inode *inode)
 {
 	if (inode->i_op->update_atime)
 		return (*inode->i_op->update_atime)(inode);
diff -puN ipc/shm.c~UPDATE_ATIME-to-update_atime ipc/shm.c
--- 25/ipc/shm.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/ipc/shm.c	2003-02-23 13:03:18.000000000 -0800
@@ -149,7 +149,7 @@ static void shm_close (struct vm_area_st
 
 static int shm_mmap(struct file * file, struct vm_area_struct * vma)
 {
-	UPDATE_ATIME(file->f_dentry->d_inode);
+	update_atime(file->f_dentry->d_inode);
 	vma->vm_ops = &shm_vm_ops;
 	shm_inc(file->f_dentry->d_inode->i_ino);
 	return 0;
diff -puN mm/filemap.c~UPDATE_ATIME-to-update_atime mm/filemap.c
--- 25/mm/filemap.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/mm/filemap.c	2003-02-23 13:03:18.000000000 -0800
@@ -667,7 +667,7 @@ no_cached_page:
 	*ppos = ((loff_t) index << PAGE_CACHE_SHIFT) + offset;
 	if (cached_page)
 		page_cache_release(cached_page);
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 }
 
 int file_read_actor(read_descriptor_t *desc, struct page *page,
@@ -760,7 +760,7 @@ __generic_file_aio_read(struct kiocb *io
 			if (retval > 0)
 				*ppos = pos + retval;
 		}
-		UPDATE_ATIME(filp->f_dentry->d_inode);
+		update_atime(filp->f_dentry->d_inode);
 		goto out;
 	}
 
@@ -1246,7 +1246,7 @@ int generic_file_mmap(struct file * file
 
 	if (!mapping->a_ops->readpage)
 		return -ENOEXEC;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	vma->vm_ops = &generic_file_vm_ops;
 	return 0;
 }
diff -puN mm/shmem.c~UPDATE_ATIME-to-update_atime mm/shmem.c
--- 25/mm/shmem.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/mm/shmem.c	2003-02-23 13:03:18.000000000 -0800
@@ -1000,7 +1000,7 @@ static int shmem_mmap(struct file *file,
 	ops = &shmem_vm_ops;
 	if (!inode->i_sb || !S_ISREG(inode->i_mode))
 		return -EACCES;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 	vma->vm_ops = ops;
 	return 0;
 }
@@ -1354,7 +1354,7 @@ static void do_shmem_file_read(struct fi
 	}
 
 	*ppos = ((loff_t) index << PAGE_CACHE_SHIFT) + offset;
-	UPDATE_ATIME(inode);
+	update_atime(inode);
 }
 
 static ssize_t shmem_file_read(struct file *filp, char *buf, size_t count, loff_t *ppos)
diff -puN net/unix/af_unix.c~UPDATE_ATIME-to-update_atime net/unix/af_unix.c
--- 25/net/unix/af_unix.c~UPDATE_ATIME-to-update_atime	2003-02-23 13:03:18.000000000 -0800
+++ 25-akpm/net/unix/af_unix.c	2003-02-23 13:03:18.000000000 -0800
@@ -624,7 +624,7 @@ static unix_socket *unix_find_other(stru
 			goto put_fail;
 
 		if (u->type == type)
-			UPDATE_ATIME(nd.dentry->d_inode);
+			update_atime(nd.dentry->d_inode);
 
 		path_release(&nd);
 
@@ -640,7 +640,7 @@ static unix_socket *unix_find_other(stru
 			struct dentry *dentry;
 			dentry = unix_sk(u)->dentry;
 			if (dentry)
-				UPDATE_ATIME(dentry->d_inode);
+				update_atime(dentry->d_inode);
 		} else
 			goto fail;
 	}

_
